TORRUS_RRDDIR2XML(8)

NAME
rrddir2xml - Searches a directory for RRD files and generates Torrus XML configuration file.

SYNOPSIS
torrus rrddir2xml --dir=DIR [options...]

DESCRIPTION
rrddir2xml searches in a given directory for RRD files and creates Torrus XML configuration file suitable for browsing ofthose data files.

With default options, it is usable for RRD files generated by Torrus' SNMP collector, where the file name starts with the host name, separated by underscore from interface name or other MIB specifics. With these defaults, it creates a subtree per each host name, and all RRD files belonging top that host name are sorted alphabetically in that subtree.

OPTIONS

--dir=DIR
    Absolute path to the directory for searching. The directory may contain also non-RRD files. Only regular files are processed, and the symlinks are ignored.

--recursive
    If specified, the directory will be searched recursively. All file names across all subdirectories must be unique. Symlinks to other directories are ignored.

--filter=Regexp
    If the filter is specified, then rrddir2xml lists only those files and subdirectories whose names match the given regular expression.

--out=FILE
    Output XML file name. If relative path given, the file is placed in /etc/torrus/xmlconfig. Default: rrddir.xml.

--subtree=SUBTREE
    Top subtree path in the generted XML. Default is the top of the tree ("/").

--split=REGEXP
    Regular expression used for splitting the file name into parts to build the subtree hierarchy. Default is a sequence of underscores ("_+").

--levels=INTEGER
    Number of levels of hierarchy to build by splitting the file names. Default is 2 levels.

--comment=TEXT
    Text to put as "comment" parameter to the top subtree.

--holtwinters
    If specified, Holt-Winters prediciton boundaries and failures are displayed in the graphs.

--verbose
    Prints extra diagnosics.

--debug
    Prints debugging information.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>